Bug 1674787 - darktable: FTBFS in Fedora rawhide/f30
Summary: darktable: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: darktable
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Edouard Bourguignon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:02 UTC by Fedora Release Engineering
Modified: 2019-05-27 16:57 UTC (History)
6 users (show)

Fixed In Version: darktable-2.6.0-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-01 20:27:29 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:02 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:02 UTC, Fedora Release Engineering
no flags Details
state.log (475 bytes, text/plain)
2019-02-11 17:02 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:02:26 UTC
darktable failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32375173


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix darktable at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
darktable will be orphaned. Before branching of Fedora 31,
darktable will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:02:28 UTC
Created attachment 1529648 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:02:29 UTC
Created attachment 1529649 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:02:30 UTC
Created attachment 1529650 [details]
state.log

Comment 4 Kalev Lember 2019-02-27 15:22:48 UTC
I pushed a commit to disable the openmp support on F30+ for now as it's causing the FTBFS issue when building with gcc 9: https://src.fedoraproject.org/rpms/darktable/c/5a91db55725ec4f164ed7abcf60f95f9534a8dec?branch=master

It could use some more investigation and an upstream bug report, but this should for now at least fix the broken darktable deps due to the exiv2 0.27 soname bump.


Note You need to log in before you can comment on or make changes to this bug.